<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.6: http://docutils.sourceforge.net/" />
<title>Parallel BGL Parallel Boost Graph Library</title>
<link rel="stylesheet" href="../../../../rst.css" type="text/css" />
</head>
<body>
<div class="document" id="logo-parallel-boost-graph-library">
<h1 class="title"><a class="reference external" href="http://www.osl.iu.edu/research/pbgl"><img align="middle" alt="Parallel BGL" class="align-middle" src="http://www.osl.iu.edu/research/pbgl/images/pbgl-logo.png" /></a> Parallel Boost Graph Library</h1>
<h2 class="subtitle" id="overview">Overview</h2>

<!-- Copyright (C) 2004-2009 The Trustees of Indiana University.
Use, modification and distribution is subject to the Boost Software
License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at
http://www.boost.org/LICENSE_1_0.txt) -->
<p>The Parallel Boost Graph Library is an extension to the <a class="reference external" href="http://www.boost.org/libs/graph/doc">Boost Graph
Library</a> (BGL) for parallel and distributed computing. It offers
distributed graphs and graph algorithms to exploit coarse-grained
parallelism along with parallel algorithms that exploit fine-grained
parallelism, while retaining the same interfaces as the (sequential)
BGL. Code written using the sequential BGL should be easy to
parallelize with the parallel BGL. Visitors new to the Parallel BGL
should read our <a class="reference external" href="overview.html">architectural overview</a>.</p>
<ol class="arabic simple">
<li><a class="reference external" href="process_group.html">Process groups</a></li>
</ol>
<blockquote>
<ul class="simple">
<li><a class="reference external" href="process_group.html">MPI process group</a></li>
<li><a class="reference external" href="simple_trigger.html">Simple trigger interface</a></li>
</ul>
</blockquote>
<ol class="arabic simple" start="2">
<li>Auxiliary data structures</li>
</ol>
<blockquote>
<ul class="simple">
<li><a class="reference external" href="distributed_queue.html">Distributed queue</a></li>
<li><a class="reference external" href="distributed_property_map.html">Distributed property map</a></li>
</ul>
</blockquote>
<ol class="arabic simple" start="3">
<li>Distributed graph concepts</li>
</ol>
<blockquote>
<ul class="simple">
<li><a class="reference external" href="DistributedGraph.html">Distributed Graph</a></li>
<li><a class="reference external" href="DistributedVertexListGraph.html">Distributed Vertex List Graph</a></li>
<li><a class="reference external" href="DistributedEdgeListGraph.html">Distributed Edge List Graph</a></li>
<li><a class="reference external" href="GlobalDescriptor.html">Global Descriptor</a></li>
</ul>
</blockquote>
<ol class="arabic simple" start="4">
<li>Graph data structures</li>
</ol>
<blockquote>
<ul class="simple">
<li><a class="reference external" href="distributed_adjacency_list.html">Distributed adjacency list</a></li>
</ul>
</blockquote>
<ol class="arabic simple" start="5">
<li>Graph adaptors</li>
</ol>
<blockquote>
<ul class="simple">
<li><a class="reference external" href="local_subgraph.html">Local subgraph adaptor</a></li>
<li><a class="reference external" href="vertex_list_adaptor.html">Vertex list graph adaptor</a></li>
</ul>
</blockquote>
<ol class="arabic simple" start="6">
<li>Graph input/output</li>
</ol>
<blockquote>
<ul class="simple">
<li>Graphviz output</li>
<li><a class="reference external" href="metis.html">METIS input</a></li>
</ul>
</blockquote>
<ol class="arabic simple" start="7">
<li>Synthetic data generators</li>
</ol>
<blockquote>
<ul class="simple">
<li><a class="reference external" href="rmat_generator.html">R-MAT generator</a></li>
<li><a class="reference external" href="sorted_rmat_generator.html">Sorted R-MAT generator</a></li>
<li><a class="reference external" href="unique_rmat_generator.html">Unique R-MAT generator</a></li>
<li><a class="reference external" href="sorted_unique_rmat_generator.html">Sorted unique R-MAT generator</a></li>
<li><a class="reference external" href="scalable_rmat_generator.html">Scalable R-MAT generator</a></li>
<li><a class="reference external" href="http://www.boost.org/libs/graph/doc/erdos_renyi_generator.html">Erdos-Renyi generator</a></li>
<li><a class="reference external" href="http://www.boost.org/libs/graph/doc/sorted_erdos_renyi_gen.html">Sorted Erdos-Renyi generator</a></li>
<li><a class="reference external" href="http://www.boost.org/libs/graph/doc/small_world_generator.html">Small world generator</a></li>
<li><a class="reference external" href="ssca_generator.html">SSCA generator</a></li>
<li><a class="reference external" href="mesh_generator.html">Mesh generator</a></li>
</ul>
</blockquote>
<ol class="arabic simple" start="8">
<li>Algorithms</li>
</ol>
<blockquote>
<ul class="simple">
<li>Distributed algorithms<ul>
<li><a class="reference external" href="breadth_first_search.html">Breadth-first search</a></li>
<li><a class="reference external" href="dijkstra_shortest_paths.html">Dijkstra's single-source shortest paths</a><ul>
<li><a class="reference external" href="dijkstra_shortest_paths.html#eager-dijkstra-s-algorithm">Eager Dijkstra shortest paths</a></li>
<li><a class="reference external" href="dijkstra_shortest_paths.html#crauser-et-al-s-algorithm">Crauser et al. Dijkstra shortest paths</a></li>
<li><a class="reference external" href="dijkstra_shortest_paths.html#delta-stepping-algorithm">Delta-Stepping shortest paths</a></li>
</ul>
</li>
<li><a class="reference external" href="tsin_depth_first_visit.html">Depth-first search</a></li>
<li><a class="reference external" href="dehne_gotz_min_spanning_tree.html">Minimum spanning tree</a><ul>
<li><a class="reference external" href="dehne_gotz_min_spanning_tree.html#dense-boruvka-minimum-spanning-tree">Boruvka's minimum spanning tree</a></li>
<li><a class="reference external" href="dehne_gotz_min_spanning_tree.html#merge-local-minimum-spanning-trees">Merging local minimum spanning forests</a></li>
<li><a class="reference external" href="dehne_gotz_min_spanning_tree.html#boruvka-then-merge">Boruvka-then-merge</a></li>
<li><a class="reference external" href="dehne_gotz_min_spanning_tree.html#boruvka-mixed-merge">Boruvka-mixed-merge</a></li>
</ul>
</li>
<li>Connected components<ul>
<li><a class="reference external" href="connected_components.html">Connected components</a></li>
<li><a class="reference external" href="connected_components_parallel_search.html">Connected components parallel search</a></li>
<li><a class="reference external" href="strong_components.html">Strongly-connected components</a></li>
</ul>
</li>
<li><a class="reference external" href="page_rank.html">PageRank</a></li>
<li><a class="reference external" href="boman_et_al_graph_coloring.html">Boman et al. Graph coloring</a></li>
<li><a class="reference external" href="fruchterman_reingold.html">Fruchterman Reingold force-directed layout</a></li>
<li><a class="reference external" href="st_connected.html">s-t connectivity</a></li>
<li><a class="reference external" href="betweenness_centrality.html">Betweenness centrality</a></li>
</ul>
</li>
</ul>
</blockquote>
<hr class="docutils" />
<p>Copyright (C) 2005-2009 The Trustees of Indiana University.</p>
<p>Authors: Nick Edmonds, Douglas Gregor, and Andrew Lumsdaine</p>
</div>
<div class="footer">
<hr class="footer" />
Generated on: 2009-04-11 17:23 UTC.
Generated by <a class="reference external" href="http://docutils.sourceforge.net/">Docutils</a> from <a class="reference external" href="http://docutils.sourceforge.net/rst.html">reStructuredText</a> source.

</div>
</body>
</html>
